alt.javax.mail

## Class SessionImpl

- java.lang.Object
- - alt.javax.mail.SessionImpl

All Implemented Interfaces:
  Session

    public class SessionImpl
    extends java.lang.Object
    implements Session

### Constructor Summary

Constructors
Constructor and Description
`SessionImpl(javax.mail.Session session)`

### Method Summary

Methods
`boolean` `getDebug()`
`Session` `getDefaultInstance(java.util.Properties props)`
`Session` `getDefaultInstance(java.util.Properties props, Authenticator authenticator)`
`Folder` `getFolder(URLName url)`
`Session` `getInstance(java.util.Properties props)`
`Session` `getInstance(java.util.Properties props, Authenticator authenticator)`
`PasswordAuthentication` `getPasswordAuthentication(URLName url)`
`java.util.Properties` `getProperties()`
`java.lang.String` `getProperty(java.lang.String name)`
`Provider` `getProvider(java.lang.String protocol)`
`Provider[]` `getProviders()`
`Store` `getStore()`
`Store` `getStore(Provider provider)`
`Store` `getStore(java.lang.String protocol)`
`Store` `getStore(URLName url)`
`Transport` `getTransport()`
`Transport` `getTransport(Address address)`
`Transport` `getTransport(Provider provider)`
`Transport` `getTransport(java.lang.String protocol)`
`Transport` `getTransport(URLName url)`
`javax.mail.Session` `getWrappedSession()`
`PasswordAuthentication` `requestPasswordAuthentication(java.net.InetAddress addr, int port, java.lang.String protocol, java.lang.String prompt, java.lang.String defaultUserName)`
`void` `setDebug(boolean debug)`
`void` `setPasswordAuthentication(URLName url, PasswordAuthentication pw)`
`void` `setProvider(Provider provider)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SessionImpl

    public SessionImpl(javax.mail.Session session)

### Method Detail

#### getInstance

    public Session getInstance(java.util.Properties props,
                      Authenticator authenticator)

Specified by:
  `getInstance` in interface `Session`

#### getInstance

    public Session getInstance(java.util.Properties props)

Specified by:
  `getInstance` in interface `Session`

#### getDefaultInstance

    public Session getDefaultInstance(java.util.Properties props,
                             Authenticator authenticator)

Specified by:
  `getDefaultInstance` in interface `Session`

#### getDefaultInstance

    public Session getDefaultInstance(java.util.Properties props)

Specified by:
  `getDefaultInstance` in interface `Session`

#### setDebug

    public void setDebug(boolean debug)

Specified by:
  `setDebug` in interface `Session`

#### getDebug

    public boolean getDebug()

Specified by:
  `getDebug` in interface `Session`

#### getProviders

    public Provider[] getProviders()

Specified by:
  `getProviders` in interface `Session`

#### getProvider

    public Provider getProvider(java.lang.String protocol)
                         throws NoSuchProviderException

Specified by:
  `getProvider` in interface `Session`
Throws:
  `NoSuchProviderException`

#### setProvider

    public void setProvider(Provider provider)
                     throws NoSuchProviderException

Specified by:
  `setProvider` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getStore

    public Store getStore()
                   throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getStore

    public Store getStore(java.lang.String protocol)
                   throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getStore

    public Store getStore(URLName url)
                   throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getStore

    public Store getStore(Provider provider)
                   throws NoSuchProviderException

Specified by:
  `getStore` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getFolder

    public Folder getFolder(URLName url)
                     throws MessagingException

Specified by:
  `getFolder` in interface `Session`
Throws:
  `MessagingException`

#### getTransport

    public Transport getTransport()
                           throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getTransport

    public Transport getTransport(java.lang.String protocol)
                           throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getTransport

    public Transport getTransport(URLName url)
                           throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getTransport

    public Transport getTransport(Provider provider)
                           throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

#### getTransport

    public Transport getTransport(Address address)
                           throws NoSuchProviderException

Specified by:
  `getTransport` in interface `Session`
Throws:
  `NoSuchProviderException`

#### setPasswordAuthentication

    public void setPasswordAuthentication(URLName url,
                                 PasswordAuthentication pw)

Specified by:
  `setPasswordAuthentication` in interface `Session`

#### getPasswordAuthentication

    public PasswordAuthentication getPasswordAuthentication(URLName url)

Specified by:
  `getPasswordAuthentication` in interface `Session`

#### requestPasswordAuthentication

    public PasswordAuthentication requestPasswordAuthentication(java.net.InetAddress addr,
                                                       int port,
                                                       java.lang.String protocol,
                                                       java.lang.String prompt,
                                                       java.lang.String defaultUserName)

Specified by:
  `requestPasswordAuthentication` in interface `Session`

#### getProperties

    public java.util.Properties getProperties()

Specified by:
  `getProperties` in interface `Session`

#### getProperty

    public java.lang.String getProperty(java.lang.String name)

Specified by:
  `getProperty` in interface `Session`

#### getWrappedSession

    public javax.mail.Session getWrappedSession()

Specified by:
  `getWrappedSession` in interface `Session`